NNG_TLS_ENGINE(5)

NAME
nng_tls_engine - TLS engine implementation

SYNOPSIS

    #include <nng/supplemental/tls/tls.h>
    #include <nng/supplemental/tls/engine.h>

    typedef struct nng_tls_engine_s nng_tls_engine;

DESCRIPTION

The TLS engine API is provided for developers wishing to implement their own implementation of TLS, or to adapt a 3rd party TLS implementation to the work with NNG.

Information about the existing TLS engine can be obtained from the functions nng_tls_engine_name(), nng_tls_engine_description(), and nng_tls_engine_fips_mode() functions.

At this time, there is no further documentation on implementing a TLS engine oneself, but existing source code may be a guide. The primary interfaces are located in the <nng/supplemental/tls/engine.h> header file.

SEE ALSO

nng_tls_engine_description(3tls), nng_tls_engine_fips_mode(3tls), nng_tls_engine_name(3tls), nng_tls_config(5), nng(7)